Kerbal Space Program - Bug #17982

Contract not completing
03/11/2018 09:34 AM - onefishtoofish

Status: Closed Start date: 03/11/2018
Severity: Low % Done: 100%
Assignee:

Category: Bug Tracker

Target version: 1.4.3

Version: 1.4.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

Ferry tourist contracts are not completing. | have been able to reproduce this in 2 separate save games with no mods. All sub
objectives are complete but will not complete the contract.

History

#1 - 03/11/2018 03:11 PM - onefishtoofish
- File Kerbal Space Program 11_03 2018 15_10_17.png added

The problem has now extended further, in that | have accepted a contract to ferry 4 tourists on an orbital flight around Kerbin which | have completed.
None of the green ticks appear for any of the objectives. It is as if the game is unaware the Kerbals are in the command pods. They are all returned to
me in the crew selection tab when | land them and recover the vessel.

Between doing these 2 missions | have successfully completed a 2 contracts to ferry 2 tourists into orbit and return, using the same method and same
objectives. | completed both contracts with this same vessel within the same launch and flight.

#2 - 03/13/2018 04:23 PM - bewing

A savegame would be helpful.

#3 - 03/29/2018 01:56 AM - dbrown182
- File Save#1.sfs added
- Category set to Bug Tracker

- Expansion Core Game added

Same issue happening in my game with two ferry contracts. | am attempting to complete two separate ferry VIP/tourist missions, but the missions are
not registering as completed even though conditions seem to have been met. The first, for Siner Kerman requires completion of a suborbital and
orbital flight around Kerbin. | have done this, and she has even leveled up as a result. However, the mission parameters do not register as being met.
This problem also occurred with a mission to ferry six tourists. The first three completed, but two of them (Jofal and Foory) had the same issue as
Siner, and sixth Kerbal (Tomrie) show’s his mission parameters being met but not his itinerary, even though he has been taken off of the available list
seemingly completed. | have attached screenshots of the mission screens in question and the crew list in the build screen showing leveling up as a
result of completion. | have attached my game file as requested.

#4 - 03/29/2018 08:12 AM - jclovis3

| believe this to be related to the bug where if two vessels dock, the pictures don't update with occupants of all the vessels until you either go to the
tracking station and come back, reload from a quick save, or perform an EVA with one and board again. When the pictures down show, you can't do a
transfer from one pod to another, thus the same problem may exist with recognizing achievements too. The fix to all of these problems may be one in
the same. Simply update the ship pictures and roster after any docking, or after returning from any warp back into a physics mode. Then check for
mission conditions being met.

#5 - 03/29/2018 10:27 AM - Squelch
- Status changed from New to Ready to Test
- Target version set to 1.4.2

- % Done changed from 0 to 80

dbrown182 wrote:
Same issue happening in my game with two ferry contracts. | am attempting to complete two separate ferry VIP/tourist missions, but the
missions are not registering as completed even though conditions seem to have been met. The first, for Siner Kerman requires completion of a
suborbital and orbital flight around Kerbin. | have done this, and she has even leveled up as a result. However, the mission parameters do not
register as being met. This problem also occurred with a mission to ferry six tourists. The first three completed, but two of them (Jofal and Foory)
had the same issue as Siner, and sixth Kerbal (Tomrie) show’s his mission parameters being met but not his itinerary, even though he has been
taken off of the available list seemingly completed. | have attached screenshots of the mission screens in question and the crew list in the build
screen showing leveling up as a result of completion. | have attached my game file as requested.

Could you please say whether the contracts were accepted before the 1.4.2 patch, or after?

jclovis3 wrote:
| believe this to be related to the bug where if two vessels dock, the pictures don't update with occupants of all the vessels until you either go to
the tracking station and come back, reload from a quick save, or perform an EVA with one and board again. When the pictures down show, you
can't do a transfer from one pod to another, thus the same problem may exist with recognizing achievements too. The fix to all of these problems
may be one in the same. Simply update the ship pictures and roster after any docking, or after returning from any warp back into a physics
mode. Then check for mission conditions being met.

That is some interesting information. Thank you.

We have not been able to replicate this problem in testing, and the steps taken have been elusive. The quest continues.

Some measures have already been implemented to prevent or detect this in 1.4.2, so | shall mark this as ready to test. Please do continue to report

with saves (from before, and after it happens) and most importantly, a log from the session where it is seen. We do appreciate that this is not always
easy to do, and the problem does not become obvious until after it has happened..

#6 - 04/04/2018 07:04 AM - dbrown182
Squelch wrote:
dbrown182 wrote:

Same issue happening in my game with two ferry contracts. | am attempting to complete two separate ferry VIP/tourist missions, but the
missions are not registering as completed even though conditions seem to have been met. The first, for Siner Kerman requires completion
of a suborbital and orbital flight around Kerbin. | have done this, and she has even leveled up as a result. However, the mission parameters
do not register as being met. This problem also occurred with a mission to ferry six tourists. The first three completed, but two of them (Jofal
and Foory) had the same issue as Siner, and sixth Kerbal (Tomrie) show’s his mission parameters being met but not his itinerary, even

though he has been taken off of the available list seemingly completed. | have attached screenshots of the mission screens in question and
the crew list in the build screen showing leveling up as a result of completion. | have attached my game file as requested.

Could you please say whether the contracts were accepted before the 1.4.2 patch, or after?

| accepted the contracts before the 1.4.2 patch.

jclovis3 wrote:
| believe this to be related to the bug where if two vessels dock, the pictures don't update with occupants of all the vessels until you either
go to the tracking station and come back, reload from a quick save, or perform an EVA with one and board again. When the pictures down
show, you can't do a transfer from one pod to another, thus the same problem may exist with recognizing achievements too. The fix to all of
these problems may be one in the same. Simply update the ship pictures and roster after any docking, or after returning from any warp
back into a physics mode. Then check for mission conditions being met.

That is some interesting information. Thank you.

We have not been able to replicate this problem in testing, and the steps taken have been elusive. The quest continues.

Some measures have already been implemented to prevent or detect this in 1.4.2, so | shall mark this as ready to test. Please do continue to

report with saves (from before, and after it happens) and most importantly, a log from the session where it is seen. We do appreciate that this is
not always easy to do, and the problem does not become obvious until after it has happened..

#7 - 04/26/2018 10:22 PM - Squelch

- Target version changed from 1.4.2 to 1.4.3
Further steps to avoid this situation have been taken.

#8 - 07/25/2019 12:01 AM - chris.fulton
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

#9 - 07/25/2019 12:01 AM - chris.fulton

- Status changed from Resolved to Closed

Files

Kerbal Space Program 11_03_2018 09_30_35.png
Kerbal Space Program 11_03_2018 09_30_51.png
Kerbal Space Program 11_03_2018 09_30_57.png
Kerbal Space Program 11_03_2018 09_30_45.png
Kerbal Space Program 11_03_2018 09_32_51.png
Kerbal Space Program 11_03_2018 15_10_17.png
Save#1.sfs

04/10/2024

813 KB
490 KB
491 KB
479 KB
472 KB
1.03 MB
203 KB

03/11/2018
03/11/2018
03/11/2018
03/11/2018
03/11/2018
03/11/2018
03/29/2018

onefishtoofish
onefishtoofish
onefishtoofish
onefishtoofish
onefishtoofish
onefishtoofish

dbrown182

3/3


http://www.tcpdf.org

